# tcl3270 Manual Page

Note: This page is no longer being maintained for tcl3270 4.0 and later. Please refer to the the x3270 Wiki for up-to-date documentation.

## Contents

> Name
> Synopsis
> Description
> tcl3270-Specific Options
> See Also
> Wiki
> Version

## Name

tcl3270 - IBM host access tool

## Synopsis

tcl3270 [script [script-arg...]] [-- [tcl3270-options] [s3270-options] [host]
tcl3270 [script [script-arg...]] [-- [tcl3270-options] [s3270-options] [session-file.tcl3270]
tcl3270 -v
tcl3270 --help

## Description

tcl3270 opens a telnet connection to an IBM host, then allows a Tcl script to control the host login session. It is derived from s3270(1), a script-based IBM 3270 emulator.

For each action supported by s3270, tcl3270 defines a correcponding Tcl command. The result of the Tcl command is the output of the s3270 action. If the output is one line, the result is a string. If the output is multiple lines, the result is a list of strings.

On the command line, a session file can be named either name.tcl3270 or name.s3270. Resource values, such as those used in -xrm options or in a session file, can be specified as tcl3270.resource or s3270.resource.

## tcl3270-Specific Options

-d
  Turns on debugging information, tracing data going between tcl3270 and s3270.

  ## See Also

  s3270(1)

  ## Wiki

  Primary documentation for tcl3270 is on the x3270 Wiki, https://x3270.miraheze.org/wiki/Main_Page.

  ## Version

  tcl3270 4.3ga8

  This HTML document and the accompanying troff document were generated with a set of write-only m4 macros and the powerful vi editor.
  Last modified 31 March 2024.